## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

### Generate Example Sentences

cURL

```bash
curl --request POST \
  --url 'https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5' \
  --header 'X-API-Key: <api-key>'
```

Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
```

JavaScript (Fetch)

```javascript
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5")
  .header("X-API-Key", "<api-key>")
  .asString();
```

Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences/generate?limit=5")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Status Codes

- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504

### Error Response Example

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **API Key**
  - Parameter: X-API-Key
  - Type: Header
  - Required: Yes
  - Description: Supply the API Key in the HTTP-Header

### Headers

- **Accept**: Specifies the media type expected in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default: `application/json`.

### Path Parameters

- **flowId**: (string) Required unique identifier for the Flow.
  - String length: `24`
  - Pattern: `^[a-z0-9]{24}$`

- **intentId**: (string) Required unique identifier for the Intent.
  - String length: `24`
  - Pattern: `^[a-z0-9]{24}$`

### Query Parameters

- **localeId**: (string) Unique identifier for the Locale used to generate Example Sentences. String length: `24`, Pattern: `^[a-z0-9]{24}$`.
- **limit**: (integer) Maximum number of Example Sentences to generate, must be in the range of `5` to `20`. Default is `5`.
